var default_presets = {
	"default": [
		"#title",
		"h1#title",
		"div #title",
		"#changes + #contents",
		".note",
		"div.note",
		"body .note",
		".no-toc + .toc",
		"div.example",
		".title",
		".toc",
		"p + .note",
		"div.example, p.note",
		"body",
		"div",
		"body div",
		"div p",
		"div > p",
		"div + p",
		"div ~ p",
		"div[class^=exa][class$=mple]",
		"p a",
		"div p a",
		"div > p > a",
		"div.example > p > a",
		"div + p + ul",
		"div ~ p ~ ul",
		"div, ul, a",
		"h1, h2, h3, h4, h5, h6",
		"a[href][lang][class]",
		"div[class]",
		"div[class=example]",
		"div[class^=exa]",
		"div[class$=mple]",
		"div[class*=e]",
		"div[class~=example]",
		"div:not(.example)",
		"div:nth-child(even)",
		"div:nth-child(2n)",
		"div:nth-child(odd)",
		"div:nth-child(2n+1)",
		"div:nth-child(n)",
		"p:only-child",
		"p:last-child",
		"p:first-child"
	],
	"descendants_only": [
		"ul li a span",
		"ul li span",
		"li a span",
		"ul a span",
		"ul li a",
		"ul li",
		"li a",
		"ul a",
		"dl dt code",
		"dl dd a",
		"dl dd",
		"dl dt",
		"table tr td",
		"table tr",
		"tr td a",
		"td a"
	],
	"descendant_and_siblings": [
		"div ul li a span",
		"div ul li a",
		"div ul li",
		"div ul",
		"ul li a span",
		"ul li a",
		"ul li",
		"li a",
		"div > ul > li > a > span",
		"div > ul > li > a",
		"div > ul > li",
		"div > ul",
		"ul > li > a > span",
		"ul > li > a",
		"ul > li",
		"li > a",
		"h2 + p + ul + p",
		"h2 + p + ul",
		"p + ul + p",
		"li + li",
		"h2 + ul",
		"h2 + p",
		"ul + p",
		"p + p",
		"h2 ~ p ~ ul ~ p",
		"h2 ~ p ~ ul",
		"p ~ ul ~ p",
		"li ~ li",
		"h2 ~ ul",
		"h2 ~ p",
		"ul ~ p",
		"p ~ p"
	],
	"tree-structural_child-indexed": [
		"div:last-child",
		"div:only-child",
		"div:first-child",
		"div:nth-child(n)",
		"div:nth-child(3)",
		"div:nth-child(n+3)",
		"div:nth-child(+n-3)",
		"div:nth-child(2n)",
		"div:nth-child(odd)",
		"div:nth-child(2n+1)",
		"div:nth-child(even)",
		"div:nth-last-child(n)",
		"div:nth-last-child(3)",
		"div:nth-last-child(n+3)",
		"div:nth-last-child(+n-3)",
		"div:nth-last-child(2n)",
		"div:nth-last-child(odd)",
		"div:nth-last-child(2n+1)",
		"div:nth-last-child(even)"
	],
	"tree-structural_typed_child-indexed": [
		"div:last-of-type",
		"div:only-of-type",
		"div:first-of-type",
		"div:nth-of-type(n)",
		"div:nth-of-type(3)",
		"div:nth-of-type(n+3)",
		"div:nth-of-type(+n-3)",
		"div:nth-of-type(2n)",
		"div:nth-of-type(odd)",
		"div:nth-of-type(2n+1)",
		"div:nth-of-type(even)",
		"div:nth-last-of-type(n)",
		"div:nth-last-of-type(3)",
		"div:nth-last-of-type(n+3)",
		"div:nth-last-of-type(+n-3)",
		"div:nth-last-of-type(2n)",
		"div:nth-last-of-type(odd)",
		"div:nth-last-of-type(2n+1)",
		"div:nth-last-of-type(even)"
	],
	"comma-separated_group_or_selector_list": [
		"div, ul, li, a",
		"div, ul, li",
		"ul, li, a",
		"div, li",
		"div, a",
		"ul, li",
		"ul, a",
		"li, a",
		"div, p, a, em",
		"div, p, em",
		"div, p, a",
		"div, p",
		"div, a",
		"p, em",
		"a, em",
		"p, a"
	],
	"negation_tree-structural_child-indexed": [
		"div:not(:last-child)",
		"div:not(:only-child)",
		"div:not(:first-child)",
		"div:not(:nth-child(n))",
		"div:not(:nth-child(3))",
		"div:not(:nth-child(n+3))",
		"div:not(:nth-child(+n-3))",
		"div:not(:nth-child(2n))",
		"div:not(:nth-child(odd))",
		"div:not(:nth-child(2n+1))",
		"div:not(:nth-child(even))",
		"div:not(:nth-last-child(n))",
		"div:not(:nth-last-child(3))",
		"div:not(:nth-last-child(n+3))",
		"div:not(:nth-last-child(+n-3))",
		"div:not(:nth-last-child(2n))",
		"div:not(:nth-last-child(odd))",
		"div:not(:nth-last-child(2n+1))",
		"div:not(:nth-last-child(even))"
	],
	"negation_tree-structural_typed_child-indexed": [
		"div:not(:last-of-type)",
		"div:not(:only-of-type)",
		"div:not(:first-of-type)",
		"div:not(:nth-of-type(n))",
		"div:not(:nth-of-type(3))",
		"div:not(:nth-of-type(n+3))",
		"div:not(:nth-of-type(+n-3))",
		"div:not(:nth-of-type(2n))",
		"div:not(:nth-of-type(odd))",
		"div:not(:nth-of-type(2n+1))",
		"div:not(:nth-of-type(even))",
		"div:not(:nth-last-of-type(n))",
		"div:not(:nth-last-of-type(3))",
		"div:not(:nth-last-of-type(n+3))",
		"div:not(:nth-last-of-type(+n-3))",
		"div:not(:nth-last-of-type(2n))",
		"div:not(:nth-last-of-type(odd))",
		"div:not(:nth-last-of-type(2n+1))",
		"div:not(:nth-last-of-type(even))"
	],
	"matches_and_negation_dynamic_and_user_actions": [
		":lang(fr)",
		":visited",
		":target",
		":active",
		":hover",
		":focus",
		":empty",
		":link",
		":not(:lang(fr))",
		":not(:visited)",
		":not(:target)",
		":not(:active)",
		":not(:hover)",
		":not(:focus)",
		":not(:empty)",
		":not(:link)"
	]
};
